Name:           bzr
Version:        2.6.0
Release:        %mkrel 3
Summary:        Next-generation distributed version control
Summary(de):	Versionskontrollsystem der nächsten Generation
Group:          Development/Other
License:        GPLv2+
URL:            http://www.bazaar-vcs.org/
Source0:        https://launchpad.net/bzr/%{version}/%{version}/+download/bzr-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires:  python-devel 
BuildRequires:	python-paramiko 
BuildRequires:	zlib-devel
%define _provides_exceptions perl(


%description
Bazaar is a distributed revision control system. It allows team members to
branch and merge upstream code very easily.

Distributed revision control systems allow multiple people to have their
own branch of a project, and merge code efficiently between them. This
enables new contributors to immediately have access to the full tools that
previously have been limited to just the committers to a project.

%description -l de
Bazaar ist ein verteiltes Versionskontrollsystem. Es erlaubt den 
Gruppenmitgliedern sehr einfach hochgeladenen Code in Zweige zu teilen und 
zusammenzufügen.

Das verteilte Versionskontrollsystem erlaubt es, dass verschiedene Leute eigene 
Zweige eines Projekts haben und diese effizient zusammengeführt werden können. Dies 
ermöglicht es neuen Mitgliedern sofortigen Zugriff auf alle Werkzeuge zu haben, 
welche zuvor auf die vorherigen Projektmitglieder beschränkt waren. 

%prep
%setup -q -n %{name}-%{version}


%install
rm -rf %{buildroot}
python setup.py install --prefix=%{buildroot}/%_prefix
mkdir -p %{buildroot}/%_mandir/
mv %{buildroot}/%_prefix/man/* %{buildroot}/%_mandir/
rm -Rf %{buildroot}/%py_puresitedir/bzrlib/util/elementtree

find %{buildroot}/%py_puresitedir -name '*.pyc' | xargs rm -f

# install bash completion
mkdir -p %{buildroot}/%{_sysconfdir}/bash_completion.d/
cp contrib/bash/bzr %{buildroot}/%{_sysconfdir}/bash_completion.d/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc  doc contrib NEWS README TODO tools
%_bindir/bzr
%py_platsitedir/bzrlib/
%py_platsitedir/*egg-info
%_mandir/man1/*
%config(noreplace) %{_sysconfdir}/bash_completion.d/bzr


%changelog
* Thu Mar 03 2016 bb <bb> 2.6.0-3pclos2016
- rebuild for updated openssl

* Fri Aug 16 2013 billybot <billybot> 2.6.0-2pclos2013
- update python 2.7

* Fri Aug 01 2013 billybot <billybot> 2.6.0-1pclos2013
- update

